
#ifndef _BITMAP_
#define _BITMAP_

#include "jiti.h"

typedef char * bitmap;

typedef struct _bm_par_ {
  bitmap bm[2];                /* pointer voor bm[load] en bm[store] */
} bm_par;

extern bm_par _MR_bms[MAXTHREADS];

void    _MR_print_bitmap(    bitmap bm);
void    _MR_add_to_bitmap(   unsigned address, unsigned bytes,
			     unsigned thread_id, unsigned type);
int     _MR_compare_bitmaps( bitmap bm1, bitmap bm2);
bitmap  _MR_combine_bitmaps( bitmap bm1, bitmap bm2);
void    _MR_remove_bitmap(   bitmap bm);
void    _MR_doit_bm();

#endif _BITMAP_
